Subject: bug#15365: 24.3.50; Segfault when calling vc-git-log-edit-toggle-amend

From: Dmitry Gutov <[email-masked]>
Date: Sat, 14 Sep 2013 16:08:17 +0300

On 14.09.2013 13:16, Eli Zaretskii wrote:
> My analysis concluded that it wasn't supposed to abort, just not call
> set_cursor_from_row in that case.  The call to abort was added long
> ago, when row_containing_pos got a minor modification, and the person
> who made the change thought that perhaps that change will cause
> damage.  I think we can remove that call to abort now.  And if that
> causes any regressions, there's a more drastic way of calling GIVE_UP
> in that case.

Since that code is old, I wonder what could have changed lately.

I've been using `vc-git-log-edit-toggle-amend' without crashes for 
nearly a year now, since it's been added.